<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VendorCategorySearchRow StructType
 * @subpackage Structs
 */
class VendorCategorySearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\VendorCategorySearchRowBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for VendorCategorySearchRow
     * @uses VendorCategorySearchRow::setBasic()
     * @uses VendorCategorySearchRow::setUserJoin()
     * @param \StructType\VendorCategorySearchRowBasic $basic
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\VendorCategorySearchRowBasic $basic = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\VendorCategorySearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\VendorCategorySearchRowBasic $basic
     * @return \StructType\VendorCategorySearchRow
     */
    public function setBasic(\StructType\VendorCategorySearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\VendorCategorySearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
